\documentclass[9pt,t,serif,professionalfont]{beamer}
\PassOptionsToPackage{pdfpagemode=FullScreen}{hyperref}
\PassOptionsToPackage{usenames,dvipsnames}{color}
\usepackage{../sty/present}
\usepackage{concmath-otf}
% \usepackage{unicode-math}
% \setmathfont{Concrete Math}
% \setmathfont{Concrete-Math-Regular.otf}[BoldFont=Concrete-Math-Bold.otf,CharacterVariant={10}]
\usepackage{../sty/calcii}

% Colors
% From https://color.adobe.com/ Fisher French Tomato, James Morris
\definecolor{Burgundy}{HTML}{8D001A}
\definecolor{GoldenImpression}{HTML}{FFF0CA}
\definecolor{ManiacMansion}{HTML}{00394F}
\definecolor{HazyRose}{HTML}{B29596}
\definecolor{KosherKhaki}{HTML}{8A897A}
\definecolor{UsualGray}{gray}{0.1}  % matches GoldenImpression
\setbeamercolor{frametitle}{fg=ManiacMansion,bg=white}
\setbeamercolor{part title}{fg=ManiacMansion,bg=white}
\setbeamercolor{itemize item}{fg=ManiacMansion}
\setbeamercolor{alerted text}{fg=Burgundy}

\setbeamerfont{frametitle}{size=\LARGE}
\setbeamertemplate{itemize item}{\color{ManiacMansion}$\blacktriangleright$}
\setbeamertemplate{description item}{\color{ManiacMansion}}
% \setbeamertemplate{itemize subitem}{\color{orange}$\blacktriangleright$}

\mode<presentation>
{
  \usetheme{boxes}
  \setbeamercovered{invisible}
  \setbeamertemplate{navigation symbols}{} 
}
% \addheadbox{filler}{\ }  % create extra space at top of slide 
%\setbeameroption{show notes}
% \setbeamertemplate{background canvas}[vertical shading][bottom=red!20,top=yellow!30]
\hypersetup{colorlinks=true,linkcolor=blue} 

\title{Section 11.1\hspace{1em}Sequences}
% This is only inserted into the PDF information catalog. Can be left
% out. 
\subject{Sequences}

\author{J Hef{}feron}
\institute{
  Department of Mathematics and Statistics\\
  University of Vermont  %\\[1ex]
  %\texttt{James.Hefferon@uvm.edu}
}
\date{}

% For 3D PRC asymptote
% compile with asy -inlineimage stub_3d
\def\asydir{asy/}
\graphicspath{{asy/}}
% \input asy/arc_length_3d.pre
\usepackage[bigfiles]{media9}
\RequirePackage{asymptote}

\usepackage{siunitx}

\begin{document}
\begin{frame}
  \titlepage
\end{frame}

%........................................................




\begin{frame}
For $f(x)=e^x$
these are the Taylor polynomials.
\begin{align*}
  T_0(x) &=1  \\
  T_1(x) &=1+x  \\
  T_2(x) &=1+x+\frac{1}{2!}x^2  \\
  T_3(x) &=1+x+\frac{1}{2!}x^2+\frac{1}{3!}x^3  \\
  &\vdotswithin{=}  % \\
%   T_n(x) &=1+x+\frac{1}{2!}x^2+\frac{1}{3!}x^3+\cdots +\frac{1}{n!}x^n
\end{align*}
We know that $e^2\approx 7.389$.
\begin{center}\setlength{\tabcolsep}{3pt}
\begin{tabular}{r|*{10}{c}}
   $i$      &$0$     &$1$     &$2$ &$3$ &$4$ &$5$ &$6$ &$7$ &$8$ &$9$\rule{0pt}{8pt} \\ \cline{2-11}
   $T_i(2)$ &$1.000$ &$3.000$ &$5.000$ &$6.333$ &$7.000$ &$7.267$ &$7.356$ &$7.381$ &$7.387$ &$7.389$ 
\end{tabular}
% \begin{tabular}{r|l}
%    \multicolumn{1}{c}{$i$}
%       &\multicolumn{1}{c}{$i$}  \\ \hline
%    $0$  &$1.000$  \\
%    $1$  &$3.000$  \\
%    $2$  &$5.000$  \\
%    $3$  &$6.333$  \\
%    $4$  &$7.000$  \\
%    $5$  &$7.267$  \\
%    $6$  &$7.356$  \\
%    $7$  &$7.381$  \\
%    $8$  &$7.387$  \\
%    $9$  &$7.389$  
% \end{tabular}
\end{center}
In this section we write down the definitions needed 
to precisely say that 
this list of numbers converges to $e^2\!$.
\end{frame}
% sage: n(e^2)
% 7.38905609893065
% sage: for i in range(10):
% ....:     T_i = taylor(e^x, x, 0, i)
% ....:     print("i=",i," T_i(2)=",round(n(T_i(x=2)),ndigits=3))
% ....: 
% i= 0  T_i(2)= 1.0
% i= 1  T_i(2)= 3.0
% i= 2  T_i(2)= 5.0
% i= 3  T_i(2)= 6.333
% i= 4  T_i(2)= 7.0
% i= 5  T_i(2)= 7.267
% i= 6  T_i(2)= 7.356
% i= 7  T_i(2)= 7.381
% i= 8  T_i(2)= 7.387
% i= 9  T_i(2)= 7.389

\begin{frame}
\Df A \alert{sequence} is a list of numbers $a_0,a_1,a_2\,$ \ldots\sentencespace
Members of the list are \alert{terms} and their place in the list is
their \alert{index}.
(We may start a sequence at an index other than~$0$ if that
is convenient.)

\Ex
Following the rule $f(i)=1/i$ for $i=1, 2, \ldots$ gives the sequence
$1, 1/2, 1/3, \ldots$\sentencespace
We may write any of these.
\begin{equation*}
  \set{a_i}\quad\set{a_i}_{1\leq i}\quad\set{a_i}_{i=1}^{\infty}\quad\set{1/i}_{i=1}^{\infty}
\end{equation*}
We say that the \alert{general term} is $a_i=1/i$.

\medskip
There are sequences with finitely many terms, and
sequences with infinitely many.

\pause
\Ex This finite sequence is the home runs per season for Babe Ruth.
\begin{equation*}
  0, 4, 3, 2, 11, 29, 54, 59, 35, 41, 46, 25, 47, 60, 54, 46, 49, 46, 41, 34, 22, 6
\end{equation*}

\Ex
This sequence is $\set{a_n=f(n)}$ where $f(n)=1/2^n$ for $n\geq 0$.
\begin{equation*}
  1, \frac{1}{2}, \frac{1}{4}, \frac{1}{8}, \ldots
\end{equation*}

\Ex The celebrated \alert{Fibonnaci sequence} is given by 
$a_0=1$, $a_1=1$, and $a_{n+1}=a_n+a_{n-1}$.
\begin{equation*}
  1, 1, 2, 3, 5, 8, 13, \ldots
\end{equation*}
This is a \alert{recursively defined} sequence.
\end{frame}

\begin{frame}
A sequence where the term-to-term difference is 
constant, $a_{n+1}-a_n=d$ for some $d\in\R$,
is
\alert{arithmetic}.
If the ratio is constant, $a_{n+1}=r\cdot a_n$, for some~$r\in\R$ then it is 
\alert{geometric}. 

\Ex  If $a_n=3n+5$ then here are the first few terms. 
\begin{center}
  \begin{tabular}{r|*{6}{c}}
    $n$   &$0$ &$1$  &$2 $ &$3$  &$4$  &\ldots \\ \cline{2-7}
    $a_n$ &$5$ &$8$  &$11$ &$14$ &$17$ &\ldots  
  \end{tabular}
\end{center}
\Ex If $a_n=3^n+5$ then we have this.
\begin{center}
  \begin{tabular}{r|*{6}{c}}
    $n$   &$0$ &$1$  &$2 $ &$3$  &$4$  &\ldots \\ \cline{2-7}
    $a_n$ &$6$ &$8$  &$14$ &$32$ &$86$ &\ldots  
  \end{tabular}
\end{center}
\end{frame}


\begin{frame}
\Ex The sequence $a_n=(-1)^n$ is an \alert{alternating sequence}.
\begin{center}
  \begin{tabular}{r|*{6}{c}}
    $n$   &$0$ &$1$  &$2$ &$3$  &$4$ &\ldots \\ \cline{2-7}
    $a_n$ &$1$ &$-1$ &$1$ &$-1$ &$1$ &\ldots  
  \end{tabular}
\end{center}

\Ex 
Consider $a_n=3+(-1)^n\!$ where $n\geq 1$.
\begin{center}
  \begin{tabular}{r|*{6}{c}}
    $n$   &$1$ &$2$  &$3$ &$4$  &$5$ &\ldots \\ \cline{2-7}
    $a_n$ &$2$ &$4$  &$2$ &$4$  &$2$ &\ldots  
  \end{tabular}
\end{center}
Contrast it with $b_n=3+(-1)^n/n\!$ where $n\geq 1$.
\begin{center}
  \begin{tabular}{r|*{6}{c}}
    $n$   &$1$ &$2$    &$3$                      &$4$      &$5$ &\ldots 
    \\ \cline{2-7}
    $b_n$ &$2$ &$3.5$  &$\frac{8}{3}\approx 2.67$ &$3.25$  &$2.8$ &\ldots  
  \end{tabular}
\end{center}
Also compare with $c_n=3+(-1)^n\cdot 2^n\!$ where $n\geq 1$.
\begin{center}
  \begin{tabular}{r|*{6}{c}}
    $n$   &$1$ &$2$  &$3$  &$4$   &$5$ &\ldots 
    \\ \cline{2-7}
    $b_n$ &$1$ &$7$  &$-5$ &$19$  &$-29$ &\ldots  
  \end{tabular}
\end{center}
  
\Ex One with the same feel is $a_n=\cos n\pi/2$ for $n\geq 0$.
\begin{center}
  \begin{tabular}{r|*{6}{c}}
    $n$   &$0$ &$1$  &$2$  &$3$   &$4$ &\ldots 
    \\ \cline{2-7}
    $b_n$ &$1$ &$0$  &$-1$ &$0$  &$1$ &\ldots  
  \end{tabular}
\end{center}

\end{frame}
% sage: def f(x):
% ....:     return 3+(-1)^x*2^x
% ....: 
% sage: for i in range(1,6):
% ....:     f(i)
% ....: 
% 1
% 7
% -5
% 19
% -29

\begin{frame}{Practice}
Give the first five terms of the sequence.
\begin{enumerate}
\item $a_i=4i+2$ for $i\geq 0$
\pause
\item $a_i=-1^i\cdot 3^i$ for $i\geq 0$    
\pause
\item $\set{ 3+(-1)^i }_{0\leq i}$  
% \pause
% \item $a_i=i+2^i$ for $i\geq 5$    
\end{enumerate}
\pause
Give the first five terms of the recursively defined sequence.
\begin{enumerate}
\item $a_0=4$, $a_{i+1}=2a_i+3$ for $i>0$
\pause
\item $a_3=-1$, $a_{i+1}=-a_i+1$ for $i>3$    
\end{enumerate}
\pause
Give a formula for the $n$-th term.
\begin{enumerate}
\item  $\displaystyle \frac{1}{9},\frac{1}{16},\frac{1}{25},\frac{1}{36},\ldots$
\pause
\item $\displaystyle -\frac{3}{5},\frac{9}{8},-\frac{27}{11},\frac{81}{14},\ldots$
\pause
\item $\displaystyle 2,7,2,7,\ldots$
\pause
\item $\displaystyle \frac{1}{2},\frac{-2}{3},\frac{3}{4},\frac{-4}{5},\ldots$
\end{enumerate}
\end{frame}


\begin{frame}{Limit of a sequence}\vspace*{-1ex}
\Df The \alert{limit} of the sequence $\set{a_n}$ is the real number $L$ if
for every $\varepsilon>0$, no matter how small,
there is an index~$N$ large enough such that if $n\geq N$ then 
$|a_n-L|<\varepsilon$.
We write
$\lim_{n\to\infty}a_n=L$
or
say that as $n\to \infty$ then $a_n\to L$.
If a sequence has a limit then we say that it \alert{converges} while 
otherwise we say it \alert{diverges}. 

\Ex
Using the Taylor polynomial for $e^x$, these are the numbers 
$T_1(2), T_2(2), \ldots$
converging on $e^2\!$.
\begin{center}
  \only<1>{\vcenteredhbox{\includegraphics{sequences000.pdf}}}%
  \only<2>{\vcenteredhbox{\includegraphics{sequences001.pdf}}}%
  \only<3->{\vcenteredhbox{\includegraphics{sequences002.pdf}}}%
\end{center}
\uncover<2->{When $\varepsilon=1$ then $N=4$ suffices.}
\uncover<3->{When $\varepsilon=1/10$ then $N=6$ suffices.}
\end{frame}


\begin{frame}
A \alert{geometric sequence} of ratio $r$ and initial 
value~$a$ has the form $\set{ar^i}$.
\begin{equation*}
  a, ar, ar^2\!, ar^3\!, \ldots
\end{equation*}
If $-1\leq r<1$ then the sequence converges to zero.
If $r=1$ then the sequence converges to~$1$, while
if $r=-1$ then the sequence alternates sign (unless $a=0$).
If $r>1$ then the sequence diverges to $\infty$.

\Ex Take $a=1$ and $r=10$.
\begin{equation*}
  1, 10, 100, 1000, \ldots
\end{equation*}

\Ex There is a difference between ``diverges'' and ``infinity.'' 
If $r<-1$ then the sequence diverges but does not go to positive infinity
or negative infinity, because it alternates (unless $a=0$);
an example is $a=1$ and $r=-2$.
\begin{equation*}
  1, -2, 4, -8, 16, \ldots
\end{equation*}
\end{frame}



\begin{frame}\vspace*{-1ex}
The case where a sequence diverges because the terms grow without bound
is common and important.

\Df A sequence $\set{a_n}$ \alert{diverges to infinity} if
for every number~$M$, no matter how large, there is a $N$ such that
if the index~$n$ is greater than~$N$ then the term $a_n$ is greater than~$M$. 
We denote this with
$\lim_{n\to\infty}a_n=\infty$
or say that
if $n\to \infty$ then $a_n\to \infty$.
The analgous thing holds for diverging to~$-\infty$.

\medskip
\Ex This is $\set{a_n=n^2}$.
If $M=10$ then what $N$ suffices?
If $M=100$?
\begin{center}
  \only<1>{\vcenteredhbox{\includegraphics{sequences003.pdf}}}%
  \only<2>{\vcenteredhbox{\includegraphics{sequences004.pdf}}}%
  \only<3->{\vcenteredhbox{\includegraphics{sequences005.pdf}}}%
\end{center}
\uncover<2->{If $M=10$ then $N=4$ suffices.}
\uncover<3->{If $M=100$ then $N=11$ suffices.}
\end{frame}

\begin{frame}
\Ex The geometric sequence $\set{3^n}$
\begin{equation*}
  1, 3, 9, 27, 81, \ldots
\end{equation*}
diverges to~$\infty$ so we can write 
$\lim_{n\to\infty}3^n=\infty$.

\Ex The sequence $\set{(-3)^n}$
\begin{equation*}
  1, -3, 9, -27, 81, \ldots
\end{equation*}
does not diverges to~$\infty$ because alternating terms are negative.
\end{frame}


\begin{frame}{Warning! this is not about ``plug in $\infty$''}
To find the limit of this sequence
\begin{equation*}
   \set{ \frac{\displaystyle 5i^2+3i+2}{\displaystyle 2i^3+i} }_{0\leq i}
\end{equation*}
anything like this is just not right.
\begin{equation*}
  \frac{5\cdot\infty+3\cdot\infty+2}{2\cdot\infty+\infty}
  =\frac{8\cdot\infty}{3\cdot\infty}
  =\frac{8}{3}
\end{equation*}
We need to look at the trend as $n$ gets larger.
\end{frame}






\begin{frame}{Sometimes we can leverage continuous functions}
Sequences are discrete.
There is a term $a_1$ and a term $a_2$ but 
there is no term~$a_{1.5}$. 
So if we look at a sequence such as this one
\begin{equation*}
  a_i=\frac{5i^2+3i+2}{2i^3+i}
\end{equation*}
then it does not make sense to
apply L'H\^{o}pital's Rule\Dash 
we can't take derivatives in a discrete context.

\pause
However, we know a lot about real number functions.
% For instance, we know that the real number function 
% $f(x)=(5x^2+3x+2)/(2x^3+1)$
% has a limit of zero as 
% as $x\to\infty$.
It would be great to use that knowledge.

\Tm
Suppose that $\map{f}{\R}{\R}$ and 
the limit of this real function is $\lim_{x\to\infty}f(x)=L$.
Then the limit of the sequence $\set{a_n}$ where $a_n=f(n)$ 
is the same, $\lim_{n\to\infty}\set{f(n)}=L$. 

\pause
Note the convention of 
denoting real numbers with letters from the
end of the alphabet such as $x$, $y$, and~$z$.
For natural numbers and integers we use middle of the alphabet letters such as 
$i$, $j$, and~$k$.
\end{frame}



\begin{frame}
Here is the argument in a picture. 
The sequence consists of the discrete dots
above the integer indices.
\begin{center}
  \only<1>{\vcenteredhbox{\includegraphics{sequences007.pdf}}}%
  \only<2->{\vcenteredhbox{\includegraphics{sequences008.pdf}}}%
\end{center}
\only<2->{Where the function goes, the dots must follow.}  

\only<2->{
\Ex The limit of the sequence 
$
  a_n=(5i^2+3i+2)/(2i^3+i)
$
is zero because the limit of the function $f(x)=(5x^2+3x+2)/(2x^3+x)$ is zero.

% \textit{Comment.}
% The converse of the theorem does not hold.
% If we know the limit of the sequence then we need not know the limit
% of the function.
% An example is that the sequence $a_n=\sin(\pi n)$
% is all zeroes $0,0,0 \ldots$ but the function
% $f(x)=\sin(\pi x)$ has no limit as $x\to\infty$. 

}
\end{frame}


\begin{frame}{Sometimes we have trouble leveraging continuous functions}

Some sequence descriptions involve expressions like $-1^n$.
But writing a function like $f(x)=-1^x$ is a problem in this class,
because what if $x=1/2$?
The expression $\sqrt{-1}$ would involve things that are not a real numbers
and here we restrict ourselves to real numbers. 

Another place where changing $n$'s to $x$'s is a problem is factorials.
The factorial function, at least on its face, is discrete\Dash making sense of 
the factorial of $7.394$ is also beyond the scope of this class.  

So while we there are many sequences where we can find the limit
by considering the related
continuous function, we cannot always do that.
\end{frame}



\begin{frame}{Practice}
Decide if you can use l'H\^{o}pital's Rule 
to tell whether the sequence converges or diverges.
If so, and it converges then find its limit while
if it diverges to infinity or negative infinity then specify that.
\begin{enumerate}
\item $\displaystyle a_j=\frac{2j^3+3}{j+1}$
\pause
\item $\displaystyle s_j=3+(-1)^j\cdot \frac{1}{j}$

\item $\displaystyle a_j=\frac{4}{3^n}$
\pause
\item $\displaystyle a_j=5-\frac{3}{j^2}$
\end{enumerate}
\end{frame}


\begin{frame}{Practice}
Decide if we can use a continuous function to
to tell whether the sequence converges or diverges.
If so, and it converges then find its limit while
if it diverges to infinity or negative infinity then specify that.
\begin{enumerate}
\item $\displaystyle a_j=\frac{2j^3+3}{j+1}$

\pause\smallskip
We can use it.
Consider $f(x)=(2x^3+3)/(x+1)$.
Evaluate $\lim_{x\to\infty} f(x)$ with L'H\^{o}pital's Rule:
$\lim_{x\to\infty} 6x^2=\infty$.
So the sequence diverges to infinity.

\item $\displaystyle s_j=3+(-1)^j\cdot \frac{1}{j}$

\pause\smallskip
We cannot use it immediately because of the $(-1)^j$.
However, we can consider $f(x)=1/x$, which we know has a limit of
zero.
With that we have that the sequence converges, with the limit of~$3$. 

\item $\displaystyle a_j=\frac{4}{3^j}$

\pause\smallskip
The function $4/3^x$ has the limit of zero.

\item $\displaystyle a_j=\frac{(j+1)!}{j!}$

\pause\smallskip
We cannot use a continuous function directly, however if we simplify
the fraction first then we get $a_j=j+1$ and obviously the limit is infinity.
\end{enumerate}
% \pause
% Determine whether the sequence converges or diverges.
% If it converges then find its limit, and if it diverges to 
% positive or negative infinity then state that.  
% \begin{enumerate}
% \item $\displaystyle \set{4\sqrt{i+5}}_{0\leq i}$
% \pause
% \item $\displaystyle \set{ 3+(-1)^j\cdot \frac{1}{j} }_{1\leq j}$

% \item $\displaystyle \bigl\{ \frac{\displaystyle -2n^3+n^2}{\displaystyle n^2+50n} \bigr\}_{0\leq n}$
% \pause
% \item $\displaystyle \set{1, 0, 1, 0, 0, 1, 0, 0, 0, 1, 0 \cdots}$
% \end{enumerate}

% Some more questions.
% \begin{enumerate}
% \item Give a sequence that converges to $4$.

% \pause\item What is the difference between ``diverges'' and ``$\infty$''?

% \pause\item Give a sequence that diverges but does not diverge to
% $-\infty$ or $+\infty$.

% \pause\item Give a sequence that diverges to $-\infty$. 
% \end{enumerate}
\end{frame}


\section{Basic results about limits}

\begin{frame}{Limit laws for sequences}
The limit $\set{a_n}_{n=0}^\infty$ exists if and only if 
the limit $\set{a_n}_{n=N}^\infty$ exists for every natural number~$N$.

\pause
Assume that the sequences $\set{a_n}$ and $\set{b_n}$ converge.
\begin{enumerate}
\item[0.] For a constant sequence, the limit is that constant. 
  That is, 
  if $a_n=c$ then $\lim_{n\to \infty} a_n=c$.
\item[3.] The limit of a constant times a sequence is the constant times the 
limit.
  \begin{equation*}
    \lim_{n\to\infty}\,c\cdot a_n\,
    =c\cdot \lim_{n\to\infty}a_n
  \end{equation*}
\item[1.] The limit of a sum is the sum of the limits.
  \begin{equation*}
    \lim_{n\to\infty}\,a_n+b_n\,
    =\lim_{n\to\infty}a_n+\lim_{n\to\infty} b_n
  \end{equation*}
  The same holds for differences.
\item[4 \& 5.] The limit of the term-by-term product of sequences 
is the product of the limits.
  \begin{equation*}
    \lim_{n\to\infty}\,a_n\cdot b_n\,
    =\lim_{n\to\infty}a_n\,\cdot\,\lim_{n\to\infty} b_n
  \end{equation*}
The same holds for quotients, excluding zero denominators.
  % \begin{equation*}
  %   \lim_{n\to\infty}\frac{a_n}{b_n}
  %   =\frac{\lim_{n\to\infty}a_n}{\lim_{n\to \infty} b_n}
  %   \qquad
  %   \text{where no $b_n$ is $0$ and where $\lim_{n\to\infty} b_n\neq 0$}
  % \end{equation*}
\item[6.] The limit of the sequence of powers 
is the power of the limit.
  \begin{equation*}
    \lim_{n\to\infty}\,a_n^p\,
    =\bigl(\, \lim_{n\to\infty}a_n \bigr)^p
    \qquad
    \text{where $p>0$ and $a_n>0$ for all $n$}
  \end{equation*}
\end{enumerate}
\end{frame}


\begin{frame}
\textit{Comment:}~those laws are prefixed with
``Assume that the sequences $\set{a_n}$ and $\set{b_n}$ converge.''
We need that.

Clearly the limit of this sequence is zero.
\begin{equation*}
  \set{ \frac{\displaystyle n-n}{\displaystyle 2} }_{0\leq n}
\end{equation*}
But if we split along the minus sign then we get the nonsense that
$\infty-\infty=0$.
\end{frame}



\begin{frame}{Two more results}
\Tm (Squeeze Theorem for Sequences)
Suppose that there are two sequences $\set{a_n}$ and $\set{b_n}$ 
with the same limit,
$L=\lim_{n\to\infty}a_n=\lim_{n\to\infty}c_n$ (which may be infinite). 
If another sequence $\set{b_n}$ is such that 
\begin{equation*}
  a_n\leq b_n\leq c_n
  \quad\text{for all  $n>N$, where $N$ is an integer}
\end{equation*}
then it also has the same limit, $\lim_{n\to\infty}b_n=L$.

\Ex 
Consider this sequence.
\begin{equation*}
  \set{\frac{\displaystyle n!}{\displaystyle n^n}}_{1\leq n}
\end{equation*}
We can rewrite the terms.
\begin{equation*}
  a_n=\frac{n!}{n^n}
     =\frac{1}{n}\cdot\frac{2}{n}\cdot\frac{3}{n}\cdots\frac{n-1}{n}\cdot\frac{n}{n}
\end{equation*}
The first factor is $1/n$ and all the other factors
are less than or equal to~$1$.
So $a_n$ is squeezed: $0<a_n\leq 1/n$.
Thus the sequence $\set{a_n}$ has a limit of~$0$.

\pause
\Tm If $\lim_{n\to\infty}|a_n|=0$ then $\lim_{n\to\infty}a_n=0$.
\end{frame}

\begin{frame}
\Tm Let $\map{f}{\R}{\R}$ be continuous.
Then $\lim_{n\to\infty}a_n=L$ implies that $\lim_{n\to\infty}f(a_n)=f(L)$. 

\Ex 
Observe that as $n\to\infty$ then both sequences $\set{n+1}$ 
and $\set{n-1}$ go to infinity.
So we cannot apply Limit Law~5  directly.
Instead we use the earlier theorem on continuous functions:~the sequence 
$a_n=(n+1)/(n-1)$ converges to $1$ because the function
$f(x)=(x+1)/(x-1)$ converges to~$1$ as $x\to\infty$.
With that, the sequence
\begin{equation*}
  b_n=e^{(n+1)/(n-1)}
\end{equation*}
converges to $e^1\!$.

\Co If $\lim_{n\to\infty}|a_n|=0$
then $\lim_{n\to\infty}a_n=0$

\Ex
Let $a_n=(-1)^n/n$ for $0<n$.
The first few terms are $-1/1$, $1/2$, $-1/3$, $1/4$, and $-1/5$.
Clearly the sequence of absolute values of the terms is going to zero, 
so the sequence of terms is also going to zero.
\end{frame}



\section{Bounded and monotone sequences}

\begin{frame}
Consider a sequence that converges to a limit~$L$.
Although there may be an initial period where it bounces around, 
past some index~$N$ it stays near to~$L$, for instance within one.
So it must have some overall maximum value, and a minimum also.

\Ex Let $\set{a_n}=\set{5*\cos(n)/n}_{n=1}^{\infty}$.
\begin{center}\setlength{\tabcolsep}{3pt}
  \begin{tabular}{r|*{9}{c}}
    $n$ &$1$     &$2$      &$3$      &$4$      &$5$     &$6$     &$7$     &$8$      &$9$   \\  \cline{2-10}
    $a_n$  &$2.702$ &$-1.040$ &$-1.650$ &$-0.817$ &$0.284$ &$0.800$ &$0.539$ &$-0.091$ &$-0.506$\rule{0pt}{8pt}  \\
  \end{tabular}
\end{center}
\begin{center}
  \vcenteredhbox{\includegraphics{sequences006.pdf}}
\end{center}

\Df
A sequence is \alert{bounded above} if there is a number $M$ larger than all 
terms, so $a_n\leq M$ for all indices~$n$.
A sequence is \alert{bounded beow} if there is a~$M$ so that $M\leq a_n$.
In either case it is a \alert{bounded} sequence.

\Tm A convergent sequence is bounded, both above and below.
\end{frame}


\begin{frame}
\Df A sequence is \alert{increasing} if $a_0<a_1<a_2\cdots$\sentencespace
It is \alert{decreasing} if $a_0>a_1>a_2\cdots$\sentencespace
In either case it is \alert{monotonic}.

\Tm A sequence that is increasing converges if and only if it is bounded above.
Similarly, a decreasing sequence converges if and only if it is bounded below.
\end{frame}
% sage: def f(x):
% ....:     return 5*cos(x)/x
% ....: 
% sage: for i in range(1,10):
% ....:     round(n(f(i)), ndigits=3)
% ....: 
% 2.702
% -1.04
% -1.65
% -0.817
% 0.284
% 0.8
% 0.539
% -0.091
% -0.506



\begin{frame}{Summary practice}

Find the limit of each sequence or say that the sequence diverges.
If it diverges to infinity or negative infinity, state that.
\begin{enumerate}
\item $\displaystyle \set{\frac{\displaystyle \ln}{\displaystyle n}}_{1\leq n}$

\pause\smallskip
Consider the real function $f(x)=\ln x/x$.
L'H\^{o}pital's Rule shows that as $x\to\infty$ we have $f(x)\to 0$.
So the limit of the sequence is also~$0$. 

\item $\displaystyle \set{1+3\cdot(-1)^j}_{0\leq j}$

\pause\smallskip
Because of the $-1^j$ we can't change to $x$'s.
Instead we consider the sequence directly, 
$\set{4,-2,4,-2,\ldots}$\sentencespace
Clearly these terms do not approach a limit.

\item $\displaystyle \set{\frac{\displaystyle 5}{\displaystyle n}+\frac{\displaystyle 7}{\displaystyle n^2}}_{1\leq n}$

\pause\smallskip
One of the Limit Laws says that if the summands converge then we can
break it into two jobs and then add the limits.
Clearly the limit of each summand is~$0$,
so the limit of the sum is also zero.
 
\item $\displaystyle \set{ 2-\frac{(-1)^j}{j^{3/2}} }_{1\leq j}$

\pause\smallskip
The $-1^j$ makes changing the $n$'s to $x$'s impossible but
we can consider $1/j^{3/2}\!$.
Clearly its limit is zero (we could convert to $\lim_{x\to\infty}x^{-3/2}$). 
Thus the overall limit is~$2$.

\end{enumerate}
\end{frame}

\begin{frame}
\begin{enumerate}\setcounter{enumi}{4}
\item $\displaystyle \set{ \frac{\displaystyle 3^n-5^n}{\displaystyle 9^n} }_{0\leq n}$

\pause\smallskip
We can break a difference provided that the two halves converge.
The two limits $(3/9)^n$ and $(5/9)^n$
each converge to zero, so their difference is zero.

\item $\displaystyle \set{ \frac{\displaystyle 3n+2}{\displaystyle 2n-5} }_{0\leq n}$

\pause\smallskip
We can see that the sequence converges to $3/2$.
To justify that, consider the real function $f(x)=(3x+2)/(2x-5)$.
It is a simple limit, with $f(x)\to 3/2$ as $x\to\infty$. 

\item $\displaystyle \set{ \frac{\displaystyle 3n^2+2}{\displaystyle 2n-5} }_{0\leq n}$

\pause\smallskip
Consider the real function $f(x)=(3x^2+2)/(2x-5)$.
In contrast with the prior one, we can compute
(for instance, with l'H\^{o}pital's Rule) 
that $f(x)\to \infty$ as $x\to\infty$.
So the limit of the sequence is also infinity. 

\item $\displaystyle \set{ \cos(\pi (2n+1)) }_{0\leq n}$

Do not convert the $n$'s to $x$'s, which might fool you into thinking
there is no limit.
Instead, examine the sequence directly: 
$\set{-1,-1,-1,\ldots}$\sentencespace
The limit is~$-1$.
\end{enumerate}
\end{frame}

% \pause
% \item $\displaystyle \set{ (1/4)^n }_{0\leq n}$

\begin{frame}
\begin{enumerate}\setcounter{enumi}{9}
\item $\displaystyle \set{\frac{\sqrt{n}}{3+\sqrt{n}}}_{1\leq n}$

\pause\smallskip
Consider the real function $f(x)=x^{1/2}/(x^{1/2}+3)$.
L'H\^{o}pital's Rule shows that as $x\to\infty$ we have $f(x)\to 1$.
So the limit of the sequence is also~$1$. 

\item $\displaystyle \set{ \frac{5e^n}{2^n} }_{0\leq n}$

\pause\smallskip
Rewrite as $5\cdot(e/2)^n$.
We could again use L'H\^{o}pital's Rule but even without it, because
$e/2>1$, clearly the powers go to infinity.

\item $\displaystyle \set{\sqrt{n^2+2}}_{3\leq n}$

\pause\smallskip
Consider the real function~$f(x)=(x^2+2)^{1/2}$.
L'H\^{o}pital's Rule doesn't fit here, but some head-scratching
leads us to try taking the logarithm, $\lim_{x\to\infty}\ln (x^2+2)^{1/2}$.
A rule for logarithms gives $\lim_{x\to\infty}(1/2)\cdot \ln (x^2+2)$.
Because $x^2+2\to\infty$ we have that $\ln(x^2+2)\to\infty$ also.
The sequence goes to infinity.
(We note that the first index is~$3$, and that this does not affect the
conclusion.)
\end{enumerate}
\end{frame}



% \begin{frame}{Summary practice}

% Find the limit of each sequence or say that the sequence diverges.
% If it diverges to infinity or minus infinity, say that.
% \begin{enumerate}
% \item $\displaystyle \set{\frac{\sqrt{n}}{3+\sqrt{n}}}_{1\leq n}$

% \pause\smallskip
% Consider the real function $f(x)=x^{1/2}/(x^{1/2}+3)$.
% L'H\^{o}pital's Rule shows that as $x\to\infty$ we have $f(x)\to 1$.
% So the limit of the sequence is also~$1$. 

% \item $\displaystyle \set{ \frac{5e^n}{2^n} }_{0\leq n}$

% \pause\smallskip
% Rewrite as $5\cdot(e/2)^n$.
% We could again use L'H\^{o}pital's Rule but even without it, because
% $e/2>1$, clearly the powers go to infinity.

% \item $\displaystyle \set{ \frac{3^n+5^n}{9^n} }_{0\leq n}$

% \pause\smallskip
% One of the Limit Laws says that if the two summands converge then
% we can break a sum, so we get two limits $(3/9)^n$ and $(5/9)^n$,
% each of which converges to zero, so their sum is zero.

% \item $\displaystyle \set{ 2+(-1)^n\frac{5n+1}{2^n} }_{0\leq n}$

% \pause\smallskip
% The $2$ is constant so we only need to focus
% on the other half.
% The $-1^n$ makes changing the $n$'s to $x$'s imposible but
% we can consider $f(x)=(5x+1)/2^x$.
% We find that $f(x)\to 0$ as $x\to\infty$, so the overall
% limit is~$2$.
% \end{enumerate}
% \end{frame}




% Infinite limits 
% There are two cases, where $L$ is finite and where it is infinite.
% We first tackle the finite case.



\end{document}
%
% These lines tells gnu-emacs to typeset with the luatex engine
% which requires Unicode encoding only (utf-8)
% ^c^t^s for toggling synctex. 
% ^-Shift-Click to move from pdf to source, Command-Shift-Click on OSX
%%% Local Variables:
%%% mode: latex
%%% TeX-engine: luatex
%%% TeX-source-correlate-method-active: synctex
%%% coding: utf-8
%%% End:
